# Sovereign-Data-Hackathon

We are thrilled to support the Sovereign Data Hackathon led by our friendly peer-project, Ceramic Network.
Sovereign Data Hackathon runs from October 7th to 21st with over $10,000 pool in bounties. 
Hackers have the option to build with a wide variety of web3 technologies, with bounties co-sponsored by projects such as [Ceramic](https://developers.ceramic.network/learn/welcome/), [Fluence](https://doc.fluence.dev/docs/), [Radicle](https://docs.radicle.xyz/docs/what-is-radicle.html), [Unstoppable Domains](https://docs.unstoppabledomains.com/), [Mask Network](https://github.com/DimensionDev/Maskbook), [Figment](https://docs.figment.io/) and [Chainlink](https://docs.chain.link/?_ga=2.217930518.1414786705.1633548015-1357873498.1632260875).


## About Fluence

Fluence provides the infrastructure and tools to enable decentralized compute for applications and backends on peer-to-peer networks. Nodes in the the Fluence peer-to-peer network host content-addressable services comprised of WebAssembly Interface Types (IT) modules. Aqua, Fluence's purpose-built distribute systems programming language, allows developers to seamlessly program distributed networks and compose hosted services into decentralized applications. As as result, the Fluence platform allows you to bring peer-to-peer compute to a variety of Web3 use cases including data storage, blockchains, identity and to develop custom hosted services and workflows using the Fluence stack.

## The Prizes

### Beginner Bounty — Use Self.Id to authenticate at least one Fluence service using Aqua
Prize: USD 1250


Authentication may play a critical role in securing distributed services deployed to Fluence's open, permissionless peer-to-peer network. As the Fluence protocol is focused on compute, DID and decentralized "store", such as the [DID data store](https://developers.ceramic.network/tools/glaze/did-datastore/), allow developers to seamlessly build secure Web3 applications. 
For this challenge, we would like you to make use of Fluence's Aqua and [Self.Id](https://developers.ceramic.network/tools/self-id/overview/) to authenticate at least one Fluence service.


### Intermediate Bounty  — Implement the IdentityLink API in Aqua
Prize: USD 2000


The Fluence protocol is about distributed, peer-to-peer compute services based on [Wasm Interface Types modules](https://hacks.mozilla.org/2019/08/webassembly-interface-types/) and complemented by [Aqua](https://doc.fluence.dev/aqua-book/), a purpose-built distributed network and application programming language. 
With Web3 solutions both on- and off-chain increasingly interested in utilizing Decentralized IDs (DID), providing developers with the necessary DID management tooling in Aqua greatly improves the higher-level developer experience. To this end, we challenge you to implement the [IdentityLink API]( https://github.com/ceramicstudio/identitylink-services/blob/master/API.md), in Aqua and, if necessary, the underlying distributed services.


### Submission Requirements & Judging Criteria
Document your solution and provide a max three (3) minute video presenting and demonstrating your solutions and submit via a Github or GitLab repo with MIT or Apache 2.0 license.
Judging is based on originality, functionality and completeness of the submission.


## General Resources

* [Register and start building](https://gitcoin.co/hackathon/ceramic-identity/onboard)
* [Fluence documentation](https://doc.fluence.dev/docs/)
* [Aqua book](https://doc.fluence.dev/aqua-book/)
* [Fluence Devcontainer](https://github.com/fluencelabs/devcontainer)
* [Fluence IPFS Adapter](https://github.com/fluencelabs/aqua-ipfs)
* [Discord](https://fluence.chat/)
* [Fluence Youtube channel](https://www.youtube.com/channel/UC3b5eFyKRFlEMwSJ1BTjpbw)
* [Book A Meeting With The Team](https://calendly.com/fluencehack/)
